<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="card" *ngFor="let election of electionGroupSummary.elections">

	<div class="card-header">
		{{ 'preConfigure.eventSummary.elections.title' | translate }}
	</div>
	<div class="card-body">
		<div class="list-group">
			<ul class="list-group-item list-group-item-light list-unstyled">
				<li *ngFor="let description of election.electionDescription">{{ description.longDescription }}</li>
			</ul>
		</div>
		<dl class="row mb-3">
			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.id' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ election.electionId }}
			</dd>
			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.position' | translate }}
			</dt>
			<dd class="col-sm-8" *ngIf="election.primarySecondaryType === 0">
				{{ electionGroupSummary.electionGroupPosition }}
			</dd>
			<dd class="col-sm-8" *ngIf="election.primarySecondaryType > 0">
				{{ electionGroupSummary.electionGroupPosition }}.{{ election.electionPosition }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.type.title' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ 'preConfigure.eventSummary.elections.type.' + election.electionType | translate }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.primarySecondary.title' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ 'preConfigure.eventSummary.elections.primarySecondary.' + election.primarySecondaryType | translate }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.numberOfMandates' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ election.numberOfMandates }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.candidateAccumulation' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ election.candidateAccumulation }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.writeInsAllowed' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ (election.writeInsAllowed ? 'common.yes' : 'common.no') | translate }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.regularAuthorizations' | translate }}
				({{ regularAuthorizations.length }})
			</dt>
			<dd class="col-sm-8">
				<ul class="list-unstyled">
					<li *ngIf="regularAuthorizations.length === 0">
						{{ 'preConfigure.eventSummary.elections.emptyRegularAuthorizations' | translate }}
					</li>
					<li *ngFor="let authorization of regularAuthorizations">
						{{ authorization.authorizationName }}
					</li>
				</ul>
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.elections.testAuthorizations' | translate }}
				({{ testAuthorizations.length }})
			</dt>
			<dd class="col-sm-8">
				<ul class="list-unstyled">
					<li *ngIf="testAuthorizations.length === 0">
						{{ 'preConfigure.eventSummary.elections.emptyTestAuthorizations' | translate }}
					</li>
					<li *ngFor="let authorization of testAuthorizations">
						{{ authorization.authorizationName }}
					</li>
				</ul>
			</dd>
		</dl>
	</div>
</div>
